INTERFACE
SUBROUTINE TRMTOV(KCPEC2,KCPEC2V,KPTRCV,PSPVOR,PSPDIV,PSPT,PSPSP,&
 & PSPVORG,PSPDIVG,PSPTG,PSPSPG,KBUFLEN,KSIGN,&
 & KMODE) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVL ,NFLEVG
USE YOMCT0 , ONLY : NPROC ,NPRTRV
USE MPL_MODULE
INTEGER(KIND=JPIM),INTENT(IN) :: KCPEC2
INTEGER(KIND=JPIM),INTENT(IN) :: KCPEC2V
INTEGER(KIND=JPIM),INTENT(IN) :: KPTRCV(NPRTRV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPVOR(NFLEVL,KCPEC2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPDIV(NFLEVL,KCPEC2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPT(NFLEVL,KCPEC2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPSP(KCPEC2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPVORG(NFLEVG,KCPEC2V)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPDIVG(NFLEVG,KCPEC2V)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPTG(NFLEVG,KCPEC2V)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPSPG(KCPEC2V)
INTEGER(KIND=JPIM),INTENT(IN) :: KBUFLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KSIGN
INTEGER(KIND=JPIM),INTENT(IN) :: KMODE
END SUBROUTINE TRMTOV
END INTERFACE
